load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"


begin



wks=gsn_open_wks("pdf","N2O_diff_log_2_grmag_2")

plot=new(2,graphic)


gsn_define_colormap(wks,"GreenMagenta16")

  res1 = True                                    ; plot mods desired
  res2 = True
  
  res1@cnLineLabelsOn       = True                 ; turn on line labels
  res1@lbLabelBarOn        = False    
  res1@lbLabelAutoStride    = True                 ; optimal labels
  res1@lbTitleOn             = False                      ; no title?
  res1@tmLabelAutoStride =True
  res1@lbLabelFont = "21"

  res1@trYReverse = True
  res1@tiYAxisOn = True
  res1@tiYAxisString = "pressure [hPa]" 
  res1@tiYAxisFont = "21"  
 

 res1@tmYLValues = (/1000,300,100,30,10,1,0.1/)
 res1@tmYLLabels = "  " + res1@tmYLValues
 res1@tmXBLabelFont = "21"
 res1@gsnYAxisIrregular2Log = True
 
 

filename="jnew_57_echam6_tracer_1940-1949_after30_zonmean_timmean_ppbv.nc"

f=addfile(filename,"r")
N2O=f->N2O(0,:,:,0) ;(time,lev,lat,lon)
N2O@long_name=""
N2O@units=""

n2oInv=N2O
n2oInv&lev=N2O&lev/100
n2oInv@long_name=""
n2oInv@units=""


plotL=gsn_csm_contour(wks,n2oInv,res1)


  res2@cnFillOn             = True               ; turn on color fill
  res2@cnLinesOn             = False     
  res2@gsnRightString   = ""    
  res2@gsnLeftString    = ""
  res2@gsnCenterString  = ""
  res2@lbLabelBarOn        = True  
  res2@lbTitleOn = True
  res2@cnLineLabelsOn       = False                 ; turn on line labels  
  res2@gsnSpreadColors      = False               ; make cn span entire color map  
  res2@cnFillColors         = (/4,5,6,7,8,9,12,13,14,15,16/)
  res2@tmLabelAutoStride =True  
  
  res2@cnLevelSelectionMode = "ManualLevels"    ; half automatic color desing
  res2@cnMinLevelValF       = "-18"
  res2@cnMaxLevelValF       = "18"
  res2@cnLevelSpacingF      = "4" 
  res2@lbTitleString = "N:B1:2 O concentration change (1PCT-CTRL) [ppbv]"
  
  res2@lbTitleFont = "21"
  res2@lbTitlePosition = "Bottom"
  res2@lbTitleFontHeightF = "0.018"  
  res2@lbLabelFontHeightF = "0.018"
  res2@lbLabelFont = "21"
  res2@tmYRMode             = "Automatic" 

  res2@trYReverse = True
  res2@tiYAxisOn = True
  res2@tiYAxisString = "Pressure [hPa]" 
  res2@tiYAxisFont = "21"
  
  
 res2@tmYLValues = (/1000,300,100,30,10,1,0.1/)
 res2@tmYLLabels = "  " + res2@tmYLValues
 res2@gsnYAxisIrregular2Log = True
 res2@tmXBLabelFont = "21"
 
   
  
filename="jnew_58_echam6_tracer_1941-1949_N2O_mm_timmean_zonmean_sub57_ppbm.nc"
f=addfile(filename,"r")
N2O=f->N2O(0,:,:,0) ;(time,lev,lat,lon)
N2O@long_name=""
N2O@units=""

n2oInv=N2O
n2oInv&lev=N2O&lev/100
n2oInv@long_name=""
n2oInv@units=""

plot(0)=gsn_csm_contour(wks,n2oInv,res2)


  overlay(plot(0),plotL)                            ; now over lay plots



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;N2O decay
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;




filename="jnew_57_echam6_tracer_1940-1949_mm_n2o_after30_dec_timmean_zonmean_mgm2yr.nc"

f=addfile(filename,"r")
N2Odec=f->n2o_dec_m_acc(0,:,:,0) ;(time,lev,lat,lon)
N2Odec@long_name=""
N2Odec@units=""

n2oInv=N2Odec
n2oInv&lev=N2Odec&lev/100
n2oInv@long_name=""
n2oInv@units=""

  
  res1@tiYAxisOn = False

plotDL=gsn_csm_contour(wks,n2oInv,res1)

filename="jnew_58_echam6_tracer_1940-1949_mm_n2o_after30_dec_timmean_zonmean_mgm2yr_sub.nc"

f=addfile(filename,"r")
N2Odec=f->n2o_dec_m_acc(0,:,:,0) ;(time,lev,lat,lon)
N2Odec@long_name=""
N2Odec@units=""

n2oInv=N2Odec
n2oInv&lev=N2Odec&lev/100
n2oInv@long_name=""
n2oInv@units=""


  res2@gsnSpreadColors      = False              ; make cn span entire color map  
  delete(res2@cnFillColors)
  res2@cnFillColors         = (/9,10,11,12,13,14,15,16/)  
  res2@cnMinLevelValF       = "-0.2"
  res2@cnMaxLevelValF       = "2.2"
  res2@cnLevelSpacingF      = "0.4"  
  res2@tiYAxisOn = False
  res2@lbTitleString = "N:B1:2 O sink change (1PCT-CTRL) [mg N:B1:2 O m:S2:-2    yr:S2:-1 ]"  
  

plot(1)=gsn_csm_contour(wks,n2oInv,res2)

overlay(plot(1),plotDL) 


res3=True
res3@gsnPanelFigureStrings = (/"a","b"/)
res3@gsnPanelFigureStringsPerimOn = False
res3@gsnPanelFigureStringsFont = "21"
res3@amJust = "TopRight"

gsn_panel(wks,plot,(/1,2/),res3) ; (/Zeilen,Spalten/)

end
